%define	name	libextractor
%define	version	0.3.8
%define	release	1mdk

%define realname extractor

%define major 0
%define libname %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} %major -d


Summary: Libextractor library used to extract meta-data from files
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: System/Libraries
URL: http://www.ovmj.org/samanta/libextractor/
Source: http://www.ovmj.org/samanta/libextractor/download/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data 
from a file and print the results to stdout. Currently, it supports the formats 
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n %{libname}
Summary: Libextractor library used to extract meta-data from files 
Group: Development/Other
Provides: lib%{name} = %{version}

%description -n %{libname}
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data 
from a file and print the results to stdout. Currently, it supports the formats 
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n %{libnamedev}
Summary: Libextractor library headers and development libraries.
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}
Provides: libextractor-devel

%description -n %{libnamedev}
libextractor devel files


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
  
./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir --libdir=%_libdir

make

%install

%makeinstall

%find_lang %name

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname} -f %name.lang
%defattr(-,root,root)
%{_libdir}/*.so.*
%_mandir/man1/*
%_mandir/man3/*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/%name/*.so
%{_libdir}/%name/*.a
%{_libdir}/%name/*.la
%{_includedir}/*
%{_bindir}/*

%changelog 
* Fri Oct 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- 0.3.8

* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.7-1mdk
- 0.3.7

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- 0.3.6

* Wed Sep 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- 0.3.5

* Wed Aug 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- 0.3.4

* Mon Jul 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Tue Jun 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- 0.3.2

* Wed May 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Fri Apr 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.7-1mdk
- 0.2.7

* Fri Oct 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.6-1mdk
- 0.2.6

* Mon Aug 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- 0.2.5
